Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network145.3.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
145.3.0.0
Broadcast address
145.3.15.255
First usable
145.3.0.1
Last usable
145.3.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex 91030000 · Integer 2432892928 to 2432897023
Reverse DNS zones
0.3.145.in-addr.arpa
1.3.145.in-addr.arpa
2.3.145.in-addr.arpa
3.3.145.in-addr.arpa
4.3.145.in-addr.arpa
5.3.145.in-addr.arpa
6.3.145.in-addr.arpa
7.3.145.in-addr.arpa
8.3.145.in-addr.arpa
9.3.145.in-addr.arpa
10.3.145.in-addr.arpa
11.3.145.in-addr.arpa
12.3.145.in-addr.arpa
13.3.145.in-addr.arpa
14.3.145.in-addr.arpa
15.3.145.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010001.00000011.00000000.00000000145.3.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10010001.00000011.00000000.00000000145.3.0.0
Broadcast10010001.00000011.00001111.11111111145.3.15.255
Split into smaller subnets/30

145.3.0.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1145.3.0.0/30145.3.0.1 to 145.3.0.2145.3.0.32
2145.3.0.4/30145.3.0.5 to 145.3.0.6145.3.0.72
3145.3.0.8/30145.3.0.9 to 145.3.0.10145.3.0.112
4145.3.0.12/30145.3.0.13 to 145.3.0.14145.3.0.152
5145.3.0.16/30145.3.0.17 to 145.3.0.18145.3.0.192
6145.3.0.20/30145.3.0.21 to 145.3.0.22145.3.0.232
7145.3.0.24/30145.3.0.25 to 145.3.0.26145.3.0.272
8145.3.0.28/30145.3.0.29 to 145.3.0.30145.3.0.312
9145.3.0.32/30145.3.0.33 to 145.3.0.34145.3.0.352
10145.3.0.36/30145.3.0.37 to 145.3.0.38145.3.0.392
11145.3.0.40/30145.3.0.41 to 145.3.0.42145.3.0.432
12145.3.0.44/30145.3.0.45 to 145.3.0.46145.3.0.472
13145.3.0.48/30145.3.0.49 to 145.3.0.50145.3.0.512
14145.3.0.52/30145.3.0.53 to 145.3.0.54145.3.0.552
15145.3.0.56/30145.3.0.57 to 145.3.0.58145.3.0.592
16145.3.0.60/30145.3.0.61 to 145.3.0.62145.3.0.632
17145.3.0.64/30145.3.0.65 to 145.3.0.66145.3.0.672
18145.3.0.68/30145.3.0.69 to 145.3.0.70145.3.0.712
19145.3.0.72/30145.3.0.73 to 145.3.0.74145.3.0.752
20145.3.0.76/30145.3.0.77 to 145.3.0.78145.3.0.792
21145.3.0.80/30145.3.0.81 to 145.3.0.82145.3.0.832
22145.3.0.84/30145.3.0.85 to 145.3.0.86145.3.0.872
23145.3.0.88/30145.3.0.89 to 145.3.0.90145.3.0.912
24145.3.0.92/30145.3.0.93 to 145.3.0.94145.3.0.952
25145.3.0.96/30145.3.0.97 to 145.3.0.98145.3.0.992
26145.3.0.100/30145.3.0.101 to 145.3.0.102145.3.0.1032
27145.3.0.104/30145.3.0.105 to 145.3.0.106145.3.0.1072
28145.3.0.108/30145.3.0.109 to 145.3.0.110145.3.0.1112
29145.3.0.112/30145.3.0.113 to 145.3.0.114145.3.0.1152
30145.3.0.116/30145.3.0.117 to 145.3.0.118145.3.0.1192
31145.3.0.120/30145.3.0.121 to 145.3.0.122145.3.0.1232
32145.3.0.124/30145.3.0.125 to 145.3.0.126145.3.0.1272
33145.3.0.128/30145.3.0.129 to 145.3.0.130145.3.0.1312
34145.3.0.132/30145.3.0.133 to 145.3.0.134145.3.0.1352
35145.3.0.136/30145.3.0.137 to 145.3.0.138145.3.0.1392
36145.3.0.140/30145.3.0.141 to 145.3.0.142145.3.0.1432
37145.3.0.144/30145.3.0.145 to 145.3.0.146145.3.0.1472
38145.3.0.148/30145.3.0.149 to 145.3.0.150145.3.0.1512
39145.3.0.152/30145.3.0.153 to 145.3.0.154145.3.0.1552
40145.3.0.156/30145.3.0.157 to 145.3.0.158145.3.0.1592
41145.3.0.160/30145.3.0.161 to 145.3.0.162145.3.0.1632
42145.3.0.164/30145.3.0.165 to 145.3.0.166145.3.0.1672
43145.3.0.168/30145.3.0.169 to 145.3.0.170145.3.0.1712
44145.3.0.172/30145.3.0.173 to 145.3.0.174145.3.0.1752
45145.3.0.176/30145.3.0.177 to 145.3.0.178145.3.0.1792
46145.3.0.180/30145.3.0.181 to 145.3.0.182145.3.0.1832
47145.3.0.184/30145.3.0.185 to 145.3.0.186145.3.0.1872
48145.3.0.188/30145.3.0.189 to 145.3.0.190145.3.0.1912
49145.3.0.192/30145.3.0.193 to 145.3.0.194145.3.0.1952
50145.3.0.196/30145.3.0.197 to 145.3.0.198145.3.0.1992
51145.3.0.200/30145.3.0.201 to 145.3.0.202145.3.0.2032
52145.3.0.204/30145.3.0.205 to 145.3.0.206145.3.0.2072
53145.3.0.208/30145.3.0.209 to 145.3.0.210145.3.0.2112
54145.3.0.212/30145.3.0.213 to 145.3.0.214145.3.0.2152
55145.3.0.216/30145.3.0.217 to 145.3.0.218145.3.0.2192
56145.3.0.220/30145.3.0.221 to 145.3.0.222145.3.0.2232
57145.3.0.224/30145.3.0.225 to 145.3.0.226145.3.0.2272
58145.3.0.228/30145.3.0.229 to 145.3.0.230145.3.0.2312
59145.3.0.232/30145.3.0.233 to 145.3.0.234145.3.0.2352
60145.3.0.236/30145.3.0.237 to 145.3.0.238145.3.0.2392
61145.3.0.240/30145.3.0.241 to 145.3.0.242145.3.0.2432
62145.3.0.244/30145.3.0.245 to 145.3.0.246145.3.0.2472
63145.3.0.248/30145.3.0.249 to 145.3.0.250145.3.0.2512
64145.3.0.252/30145.3.0.253 to 145.3.0.254145.3.0.2552
65145.3.1.0/30145.3.1.1 to 145.3.1.2145.3.1.32
66145.3.1.4/30145.3.1.5 to 145.3.1.6145.3.1.72
67145.3.1.8/30145.3.1.9 to 145.3.1.10145.3.1.112
68145.3.1.12/30145.3.1.13 to 145.3.1.14145.3.1.152
69145.3.1.16/30145.3.1.17 to 145.3.1.18145.3.1.192
70145.3.1.20/30145.3.1.21 to 145.3.1.22145.3.1.232
71145.3.1.24/30145.3.1.25 to 145.3.1.26145.3.1.272
72145.3.1.28/30145.3.1.29 to 145.3.1.30145.3.1.312
73145.3.1.32/30145.3.1.33 to 145.3.1.34145.3.1.352
74145.3.1.36/30145.3.1.37 to 145.3.1.38145.3.1.392
75145.3.1.40/30145.3.1.41 to 145.3.1.42145.3.1.432
76145.3.1.44/30145.3.1.45 to 145.3.1.46145.3.1.472
77145.3.1.48/30145.3.1.49 to 145.3.1.50145.3.1.512
78145.3.1.52/30145.3.1.53 to 145.3.1.54145.3.1.552
79145.3.1.56/30145.3.1.57 to 145.3.1.58145.3.1.592
80145.3.1.60/30145.3.1.61 to 145.3.1.62145.3.1.632
81145.3.1.64/30145.3.1.65 to 145.3.1.66145.3.1.672
82145.3.1.68/30145.3.1.69 to 145.3.1.70145.3.1.712
83145.3.1.72/30145.3.1.73 to 145.3.1.74145.3.1.752
84145.3.1.76/30145.3.1.77 to 145.3.1.78145.3.1.792
85145.3.1.80/30145.3.1.81 to 145.3.1.82145.3.1.832
86145.3.1.84/30145.3.1.85 to 145.3.1.86145.3.1.872
87145.3.1.88/30145.3.1.89 to 145.3.1.90145.3.1.912
88145.3.1.92/30145.3.1.93 to 145.3.1.94145.3.1.952
89145.3.1.96/30145.3.1.97 to 145.3.1.98145.3.1.992
90145.3.1.100/30145.3.1.101 to 145.3.1.102145.3.1.1032
91145.3.1.104/30145.3.1.105 to 145.3.1.106145.3.1.1072
92145.3.1.108/30145.3.1.109 to 145.3.1.110145.3.1.1112
93145.3.1.112/30145.3.1.113 to 145.3.1.114145.3.1.1152
94145.3.1.116/30145.3.1.117 to 145.3.1.118145.3.1.1192
95145.3.1.120/30145.3.1.121 to 145.3.1.122145.3.1.1232
96145.3.1.124/30145.3.1.125 to 145.3.1.126145.3.1.1272
97145.3.1.128/30145.3.1.129 to 145.3.1.130145.3.1.1312
98145.3.1.132/30145.3.1.133 to 145.3.1.134145.3.1.1352
99145.3.1.136/30145.3.1.137 to 145.3.1.138145.3.1.1392
100145.3.1.140/30145.3.1.141 to 145.3.1.142145.3.1.1432
101145.3.1.144/30145.3.1.145 to 145.3.1.146145.3.1.1472
102145.3.1.148/30145.3.1.149 to 145.3.1.150145.3.1.1512
103145.3.1.152/30145.3.1.153 to 145.3.1.154145.3.1.1552
104145.3.1.156/30145.3.1.157 to 145.3.1.158145.3.1.1592
105145.3.1.160/30145.3.1.161 to 145.3.1.162145.3.1.1632
106145.3.1.164/30145.3.1.165 to 145.3.1.166145.3.1.1672
107145.3.1.168/30145.3.1.169 to 145.3.1.170145.3.1.1712
108145.3.1.172/30145.3.1.173 to 145.3.1.174145.3.1.1752
109145.3.1.176/30145.3.1.177 to 145.3.1.178145.3.1.1792
110145.3.1.180/30145.3.1.181 to 145.3.1.182145.3.1.1832
111145.3.1.184/30145.3.1.185 to 145.3.1.186145.3.1.1872
112145.3.1.188/30145.3.1.189 to 145.3.1.190145.3.1.1912
113145.3.1.192/30145.3.1.193 to 145.3.1.194145.3.1.1952
114145.3.1.196/30145.3.1.197 to 145.3.1.198145.3.1.1992
115145.3.1.200/30145.3.1.201 to 145.3.1.202145.3.1.2032
116145.3.1.204/30145.3.1.205 to 145.3.1.206145.3.1.2072
117145.3.1.208/30145.3.1.209 to 145.3.1.210145.3.1.2112
118145.3.1.212/30145.3.1.213 to 145.3.1.214145.3.1.2152
119145.3.1.216/30145.3.1.217 to 145.3.1.218145.3.1.2192
120145.3.1.220/30145.3.1.221 to 145.3.1.222145.3.1.2232
121145.3.1.224/30145.3.1.225 to 145.3.1.226145.3.1.2272
122145.3.1.228/30145.3.1.229 to 145.3.1.230145.3.1.2312
123145.3.1.232/30145.3.1.233 to 145.3.1.234145.3.1.2352
124145.3.1.236/30145.3.1.237 to 145.3.1.238145.3.1.2392
125145.3.1.240/30145.3.1.241 to 145.3.1.242145.3.1.2432
126145.3.1.244/30145.3.1.245 to 145.3.1.246145.3.1.2472
127145.3.1.248/30145.3.1.249 to 145.3.1.250145.3.1.2512
128145.3.1.252/30145.3.1.253 to 145.3.1.254145.3.1.2552
129145.3.2.0/30145.3.2.1 to 145.3.2.2145.3.2.32
130145.3.2.4/30145.3.2.5 to 145.3.2.6145.3.2.72
131145.3.2.8/30145.3.2.9 to 145.3.2.10145.3.2.112
132145.3.2.12/30145.3.2.13 to 145.3.2.14145.3.2.152
133145.3.2.16/30145.3.2.17 to 145.3.2.18145.3.2.192
134145.3.2.20/30145.3.2.21 to 145.3.2.22145.3.2.232
135145.3.2.24/30145.3.2.25 to 145.3.2.26145.3.2.272
136145.3.2.28/30145.3.2.29 to 145.3.2.30145.3.2.312
137145.3.2.32/30145.3.2.33 to 145.3.2.34145.3.2.352
138145.3.2.36/30145.3.2.37 to 145.3.2.38145.3.2.392
139145.3.2.40/30145.3.2.41 to 145.3.2.42145.3.2.432
140145.3.2.44/30145.3.2.45 to 145.3.2.46145.3.2.472
141145.3.2.48/30145.3.2.49 to 145.3.2.50145.3.2.512
142145.3.2.52/30145.3.2.53 to 145.3.2.54145.3.2.552
143145.3.2.56/30145.3.2.57 to 145.3.2.58145.3.2.592
144145.3.2.60/30145.3.2.61 to 145.3.2.62145.3.2.632
145145.3.2.64/30145.3.2.65 to 145.3.2.66145.3.2.672
146145.3.2.68/30145.3.2.69 to 145.3.2.70145.3.2.712
147145.3.2.72/30145.3.2.73 to 145.3.2.74145.3.2.752
148145.3.2.76/30145.3.2.77 to 145.3.2.78145.3.2.792
149145.3.2.80/30145.3.2.81 to 145.3.2.82145.3.2.832
150145.3.2.84/30145.3.2.85 to 145.3.2.86145.3.2.872
151145.3.2.88/30145.3.2.89 to 145.3.2.90145.3.2.912
152145.3.2.92/30145.3.2.93 to 145.3.2.94145.3.2.952
153145.3.2.96/30145.3.2.97 to 145.3.2.98145.3.2.992
154145.3.2.100/30145.3.2.101 to 145.3.2.102145.3.2.1032
155145.3.2.104/30145.3.2.105 to 145.3.2.106145.3.2.1072
156145.3.2.108/30145.3.2.109 to 145.3.2.110145.3.2.1112
157145.3.2.112/30145.3.2.113 to 145.3.2.114145.3.2.1152
158145.3.2.116/30145.3.2.117 to 145.3.2.118145.3.2.1192
159145.3.2.120/30145.3.2.121 to 145.3.2.122145.3.2.1232
160145.3.2.124/30145.3.2.125 to 145.3.2.126145.3.2.1272
161145.3.2.128/30145.3.2.129 to 145.3.2.130145.3.2.1312
162145.3.2.132/30145.3.2.133 to 145.3.2.134145.3.2.1352
163145.3.2.136/30145.3.2.137 to 145.3.2.138145.3.2.1392
164145.3.2.140/30145.3.2.141 to 145.3.2.142145.3.2.1432
165145.3.2.144/30145.3.2.145 to 145.3.2.146145.3.2.1472
166145.3.2.148/30145.3.2.149 to 145.3.2.150145.3.2.1512
167145.3.2.152/30145.3.2.153 to 145.3.2.154145.3.2.1552
168145.3.2.156/30145.3.2.157 to 145.3.2.158145.3.2.1592
169145.3.2.160/30145.3.2.161 to 145.3.2.162145.3.2.1632
170145.3.2.164/30145.3.2.165 to 145.3.2.166145.3.2.1672
171145.3.2.168/30145.3.2.169 to 145.3.2.170145.3.2.1712
172145.3.2.172/30145.3.2.173 to 145.3.2.174145.3.2.1752
173145.3.2.176/30145.3.2.177 to 145.3.2.178145.3.2.1792
174145.3.2.180/30145.3.2.181 to 145.3.2.182145.3.2.1832
175145.3.2.184/30145.3.2.185 to 145.3.2.186145.3.2.1872
176145.3.2.188/30145.3.2.189 to 145.3.2.190145.3.2.1912
177145.3.2.192/30145.3.2.193 to 145.3.2.194145.3.2.1952
178145.3.2.196/30145.3.2.197 to 145.3.2.198145.3.2.1992
179145.3.2.200/30145.3.2.201 to 145.3.2.202145.3.2.2032
180145.3.2.204/30145.3.2.205 to 145.3.2.206145.3.2.2072
181145.3.2.208/30145.3.2.209 to 145.3.2.210145.3.2.2112
182145.3.2.212/30145.3.2.213 to 145.3.2.214145.3.2.2152
183145.3.2.216/30145.3.2.217 to 145.3.2.218145.3.2.2192
184145.3.2.220/30145.3.2.221 to 145.3.2.222145.3.2.2232
185145.3.2.224/30145.3.2.225 to 145.3.2.226145.3.2.2272
186145.3.2.228/30145.3.2.229 to 145.3.2.230145.3.2.2312
187145.3.2.232/30145.3.2.233 to 145.3.2.234145.3.2.2352
188145.3.2.236/30145.3.2.237 to 145.3.2.238145.3.2.2392
189145.3.2.240/30145.3.2.241 to 145.3.2.242145.3.2.2432
190145.3.2.244/30145.3.2.245 to 145.3.2.246145.3.2.2472
191145.3.2.248/30145.3.2.249 to 145.3.2.250145.3.2.2512
192145.3.2.252/30145.3.2.253 to 145.3.2.254145.3.2.2552
193145.3.3.0/30145.3.3.1 to 145.3.3.2145.3.3.32
194145.3.3.4/30145.3.3.5 to 145.3.3.6145.3.3.72
195145.3.3.8/30145.3.3.9 to 145.3.3.10145.3.3.112
196145.3.3.12/30145.3.3.13 to 145.3.3.14145.3.3.152
197145.3.3.16/30145.3.3.17 to 145.3.3.18145.3.3.192
198145.3.3.20/30145.3.3.21 to 145.3.3.22145.3.3.232
199145.3.3.24/30145.3.3.25 to 145.3.3.26145.3.3.272
200145.3.3.28/30145.3.3.29 to 145.3.3.30145.3.3.312
201145.3.3.32/30145.3.3.33 to 145.3.3.34145.3.3.352
202145.3.3.36/30145.3.3.37 to 145.3.3.38145.3.3.392
203145.3.3.40/30145.3.3.41 to 145.3.3.42145.3.3.432
204145.3.3.44/30145.3.3.45 to 145.3.3.46145.3.3.472
205145.3.3.48/30145.3.3.49 to 145.3.3.50145.3.3.512
206145.3.3.52/30145.3.3.53 to 145.3.3.54145.3.3.552
207145.3.3.56/30145.3.3.57 to 145.3.3.58145.3.3.592
208145.3.3.60/30145.3.3.61 to 145.3.3.62145.3.3.632
209145.3.3.64/30145.3.3.65 to 145.3.3.66145.3.3.672
210145.3.3.68/30145.3.3.69 to 145.3.3.70145.3.3.712
211145.3.3.72/30145.3.3.73 to 145.3.3.74145.3.3.752
212145.3.3.76/30145.3.3.77 to 145.3.3.78145.3.3.792
213145.3.3.80/30145.3.3.81 to 145.3.3.82145.3.3.832
214145.3.3.84/30145.3.3.85 to 145.3.3.86145.3.3.872
215145.3.3.88/30145.3.3.89 to 145.3.3.90145.3.3.912
216145.3.3.92/30145.3.3.93 to 145.3.3.94145.3.3.952
217145.3.3.96/30145.3.3.97 to 145.3.3.98145.3.3.992
218145.3.3.100/30145.3.3.101 to 145.3.3.102145.3.3.1032
219145.3.3.104/30145.3.3.105 to 145.3.3.106145.3.3.1072
220145.3.3.108/30145.3.3.109 to 145.3.3.110145.3.3.1112
221145.3.3.112/30145.3.3.113 to 145.3.3.114145.3.3.1152
222145.3.3.116/30145.3.3.117 to 145.3.3.118145.3.3.1192
223145.3.3.120/30145.3.3.121 to 145.3.3.122145.3.3.1232
224145.3.3.124/30145.3.3.125 to 145.3.3.126145.3.3.1272
225145.3.3.128/30145.3.3.129 to 145.3.3.130145.3.3.1312
226145.3.3.132/30145.3.3.133 to 145.3.3.134145.3.3.1352
227145.3.3.136/30145.3.3.137 to 145.3.3.138145.3.3.1392
228145.3.3.140/30145.3.3.141 to 145.3.3.142145.3.3.1432
229145.3.3.144/30145.3.3.145 to 145.3.3.146145.3.3.1472
230145.3.3.148/30145.3.3.149 to 145.3.3.150145.3.3.1512
231145.3.3.152/30145.3.3.153 to 145.3.3.154145.3.3.1552
232145.3.3.156/30145.3.3.157 to 145.3.3.158145.3.3.1592
233145.3.3.160/30145.3.3.161 to 145.3.3.162145.3.3.1632
234145.3.3.164/30145.3.3.165 to 145.3.3.166145.3.3.1672
235145.3.3.168/30145.3.3.169 to 145.3.3.170145.3.3.1712
236145.3.3.172/30145.3.3.173 to 145.3.3.174145.3.3.1752
237145.3.3.176/30145.3.3.177 to 145.3.3.178145.3.3.1792
238145.3.3.180/30145.3.3.181 to 145.3.3.182145.3.3.1832
239145.3.3.184/30145.3.3.185 to 145.3.3.186145.3.3.1872
240145.3.3.188/30145.3.3.189 to 145.3.3.190145.3.3.1912
241145.3.3.192/30145.3.3.193 to 145.3.3.194145.3.3.1952
242145.3.3.196/30145.3.3.197 to 145.3.3.198145.3.3.1992
243145.3.3.200/30145.3.3.201 to 145.3.3.202145.3.3.2032
244145.3.3.204/30145.3.3.205 to 145.3.3.206145.3.3.2072
245145.3.3.208/30145.3.3.209 to 145.3.3.210145.3.3.2112
246145.3.3.212/30145.3.3.213 to 145.3.3.214145.3.3.2152
247145.3.3.216/30145.3.3.217 to 145.3.3.218145.3.3.2192
248145.3.3.220/30145.3.3.221 to 145.3.3.222145.3.3.2232
249145.3.3.224/30145.3.3.225 to 145.3.3.226145.3.3.2272
250145.3.3.228/30145.3.3.229 to 145.3.3.230145.3.3.2312
251145.3.3.232/30145.3.3.233 to 145.3.3.234145.3.3.2352
252145.3.3.236/30145.3.3.237 to 145.3.3.238145.3.3.2392
253145.3.3.240/30145.3.3.241 to 145.3.3.242145.3.3.2432
254145.3.3.244/30145.3.3.245 to 145.3.3.246145.3.3.2472
255145.3.3.248/30145.3.3.249 to 145.3.3.250145.3.3.2512
256145.3.3.252/30145.3.3.253 to 145.3.3.254145.3.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses